/***************************************************************************
	file:		uart.c
	product:
	project:	8051 uart interface
	date: 		September.2013 - first release

	version 	1.00
	compiler:	Keil Cx51 V9.05

	mc:			AT89C5131A
	crystal:	12MHz, 24MHz

	author: 	Viktor Schabelski info@approbe.de
	licence:	Creative Commons Lizenz
                http://www.stack2Learn.de/cc.html

**************************************************/

/*-----------------------------------------------------------------------------
	includes
---------------------------------------------------*/
#include <at89c5131.h>						//Mikrocontroller Header
#include "driver/uart/uart.h"			//UART Header



void main (void){
	
// Initialisierung der UART Schnittstelle; System Quarz ist 24MHz
	Uart_Init (_24MHz);
	
	// Sende Zeichen A ueber die UART
	Uart_SendChar ('A');
	
	// Sende Zeichenkette ueber die UART
	
	
	while(1){
		Uart_SendString ("Hallo Welt!!!");
	}
}
